#include <iostream>

using namespace std;

int main() {
	
	
	int n;
	int lastL, lastR, M;
	
	cin >> n;
	cin >> M;
	
	lastL = lastR = M;
	
	for (int i=0; i<n ; i++) {
		
		int pozicija;
		cin >> pozicija;
		
		if (pozicija > M) {
			
			if (pozicija > lastR) {
				
				lastR = pozicija;
				
			} 
		}
		else if (pozicija < M) {
			
			if (pozicija < lastL) {
				
				lastL = pozicija;
			} 
		}
	}
	
	if ( (lastR - M) >= (M - lastL) ) {
		cout << 2*(M-lastL) + lastR-M;
	}
	else (
	cout << 2*(lastR-M) + M-lastL);
}